> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yutori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status And Results

> Returns the current status (queued, running, succeeded, failed) and any results if completed.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.yutori.com/v1/browsing/tasks/00000000-0000-0000-0000-000000000000 \
    --header 'X-API-Key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.yutori.com/v1/browsing/tasks/00000000-0000-0000-0000-000000000000",
      headers={"X-API-Key": "YOUR_API_KEY"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.yutori.com/v1/browsing/tasks/00000000-0000-0000-0000-000000000000",
    {
      method: "GET",
      headers: { "X-API-Key": "YOUR_API_KEY" }
    }
  );
  const data = await response.json();
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/browsing/tasks/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.yutori.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/browsing/tasks/{id}:
    get:
      tags:
        - Browsing
      summary: Get Agent Run Status
      description: >-
        Returns the current status (queued, running, succeeded, failed) and any
        results if completed.
      operationId: get_agent_run_status_v1_browsing_tasks__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentRunResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentRunResponse:
      properties:
        task_id:
          type: string
          title: Task Id
          description: Unique identifier for this browsing task
        view_url:
          type: string
          title: View Url
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
          title: Status
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
        paused:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Paused
        structured_result:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: 'null'
          title: Structured Result
          description: >-
            If an output schema was provided, the result formatted as JSON
            matching that schema
        structured_output_status:
          anyOf:
            - type: string
              enum:
                - not_requested
                - pending
                - succeeded
                - failed
            - type: 'null'
          title: Structured Output Status
          description: >-
            Whether structured output was requested, is still pending,
            succeeded, or failed
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
          description: >-
            Echoes the webhook URL configured for this agent.run request, if
            provided.
        rejection_reason:
          anyOf:
            - $ref: '#/components/schemas/RejectionReason'
            - type: 'null'
          description: If status is 'failed', the specific billing reason for rejection
      type: object
      required:
        - task_id
        - view_url
        - status
      title: AgentRunResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RejectionReason:
      type: string
      enum:
        - insufficient_prepaid_balance
        - budget_exceeded
        - subscription_inactive
      title: RejectionReason
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````